Package org.firebirdsql.jdbc

## Interface FirebirdResultSetMetaData

All Superinterfaces:
  `java.sql.ResultSetMetaData`, `java.sql.Wrapper`

All Known Implementing Classes:
  `FBResultSetMetaData`

    public interface FirebirdResultSetMetaData
    extends java.sql.ResultSetMetaData

Firebird-specific extensions to the `ResultSetMetaData` interface.

Author:
  Roman Rokytskyy

### Field Summary

### Fields inherited from interface java.sql.ResultSetMetaData

`columnNoNulls, columnNullable, columnNullableUnknown`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getTableAlias​(int column)` Gets the designated column's table alias.

### Methods inherited from interface java.sql.ResultSetMetaData

`getCatalogName, getColumnClassName, getColumnCount, getColumnDisplaySize, getColumnLabel, getColumnName, getColumnType, getColumnTypeName, getPrecision, getScale, getSchemaName, getTableName, isAutoIncrement, isCaseSensitive, isCurrency, isDefinitelyWritable, isNullable, isReadOnly, isSearchable, isSigned, isWritable`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### getTableAlias

    java.lang.String getTableAlias​(int column)
                            throws java.sql.SQLException

Gets the designated column's table alias.

Parameters:
  `column` - the first column is 1, the second is 2, ...
Returns:
  table alias or "" if not applicable
Throws:
  `java.sql.SQLException` - if a database access error occurs